/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.model.dbEntity;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 单表生成Entity
 * @author tangwc
 * @version 2018-05-23
 */
public class MdeFriendRelation extends BaseEntity{
	
	private static final long serialVersionUID = 1L;
	private String userId1;		// 用户code1（code1&lt;code2）
	private String userId2;		// 用户code2
	private String toBeConfirmed;		// 待确认者(用户id)
	private Date confirmTime;		// 确认时间
	
	private String userCode;// 申请人id
	private String name;// 申请人姓名
	private String headPortrait;
	public MdeFriendRelation() {
		super();
	}
	
	public String getUserId1() {
		return userId1;
	}

	public void setUserId1(String userId1) {
		this.userId1 = userId1;
	}

	public String getUserId2() {
		return userId2;
	}

	public void setUserId2(String userId2) {
		this.userId2 = userId2;
	}

//	@Length(min=0, max=11, message="待确认者(用户id)长度必须介于 0 和 11 之间")
	public String getToBeConfirmed() {
		return toBeConfirmed;
	}

	public void setToBeConfirmed(String toBeConfirmed) {
		this.toBeConfirmed = toBeConfirmed;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	public Date getConfirmTime() {
		return confirmTime;
	}

	public void setConfirmTime(Date confirmTime) {
		this.confirmTime = confirmTime;
	}

	public String getUserCode() {
		return userCode;
	}

	public void setUserCode(String userCode) {
		this.userCode = userCode;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getHeadPortrait() {
		return headPortrait;
	}

	public void setHeadPortrait(String headPortrait) {
		this.headPortrait = headPortrait;
	}
	
}